# @lfk/backend

Backend Server

## Dev Setup 🛠
```bash
docker-compose up --build
```

## Recommended Editor
[Visual Studio Code](https://code.visualstudio.com/)
### Recommended Extensions
- will be automatically recommended via ./vscode/extensions.json

## File Structure
- src/models/* - database models (typeorm entities)
- src/controllers/* - routing-controllers
- src/loaders/* - loaders for the different init steps of the api server
- src/routes/* - express routes for everything we don't do via routing-controllers (shouldn't be much)